> ## Documentation Index
> Fetch the complete documentation index at: https://docs.usenotra.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get async post generation status



## OpenAPI

````yaml https://api.usenotra.com/openapi.json get /v1/posts/generate/{jobId}
openapi: 3.1.1
info:
  title: Notra API
  version: 1.0.0
  description: >-
    OpenAPI schema for Notra content endpoints. Use GET /v1/status for public
    reachability. Error responses include recovery guidance.
servers:
  - url: https://api.usenotra.com
    description: Production
security:
  - BearerAuth: []
tags:
  - name: Content
    description: >-
      Read content. Organization is inferred from the API key
      (identity.externalId).
  - name: Schedules
    description: >-
      Manage scheduled content generation. Organization is inferred from the API
      key (identity.externalId).
  - name: Event Triggers
    description: >-
      Manage event-based content generation triggered by GitHub webhooks.
      Organization is inferred from the API key (identity.externalId).
  - name: Chats
    description: >-
      Manage chat sessions. Organization is inferred from the API key
      (identity.externalId).
  - name: Skills
    description: >-
      Manage reusable writing skills. Organization is inferred from the API key
      (identity.externalId).
paths:
  /v1/posts/generate/{jobId}:
    get:
      tags:
        - Content
      summary: Get async post generation status
      operationId: getPostGeneration
      parameters:
        - schema:
            type: string
            minLength: 1
            pattern: ^[A-Za-z0-9_-]{1,100}$
            example: job_123
          required: true
          in: path
          name: jobId
      responses:
        '200':
          description: Post generation status fetched successfully
          content:
            application/json:
              schema:
                type: object
                properties:
                  job:
                    type: object
                    properties:
                      id:
                        type: string
                      organizationId:
                        type: string
                      status:
                        type: string
                        enum:
                          - queued
                          - running
                          - completed
                          - failed
                          - skipped
                      contentType:
                        type: string
                        enum:
                          - changelog
                          - blog_post
                          - linkedin_post
                          - twitter_post
                          - image
                      lookbackWindow:
                        type: string
                        enum:
                          - current_day
                          - yesterday
                          - last_7_days
                          - last_14_days
                          - last_30_days
                      repositoryIds:
                        type: array
                        items:
                          type: string
                      brandVoiceId:
                        type:
                          - string
                          - 'null'
                      workflowRunId:
                        type:
                          - string
                          - 'null'
                      postId:
                        type:
                          - string
                          - 'null'
                      error:
                        type:
                          - string
                          - 'null'
                      source:
                        type: string
                        enum:
                          - api
                          - dashboard
                      createdAt:
                        type: string
                      updatedAt:
                        type: string
                      completedAt:
                        type:
                          - string
                          - 'null'
                    required:
                      - id
                      - organizationId
                      - status
                      - contentType
                      - lookbackWindow
                      - repositoryIds
                      - brandVoiceId
                      - workflowRunId
                      - postId
                      - error
                      - source
                      - createdAt
                      - updatedAt
                      - completedAt
                  events:
                    type: array
                    items:
                      type: object
                      properties:
                        id:
                          type: string
                        jobId:
                          type: string
                        type:
                          type: string
                          enum:
                            - queued
                            - workflow_triggered
                            - running
                            - fetching_repositories
                            - generating_content
                            - post_created
                            - completed
                            - failed
                            - skipped
                        message:
                          type: string
                        createdAt:
                          type: string
                        metadata:
                          type:
                            - object
                            - 'null'
                          additionalProperties: {}
                      required:
                        - id
                        - jobId
                        - type
                        - message
                        - createdAt
                        - metadata
                required:
                  - job
                  - events
        '400':
          description: Invalid path params
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResponse'
        '401':
          description: Missing or invalid API key
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResponse'
        '403':
          description: Forbidden
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResponse'
        '404':
          description: Generation job not found
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResponse'
        '503':
          description: Content generation is unavailable
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResponse'
components:
  schemas:
    ErrorResponse:
      type: object
      properties:
        error:
          type: string
        code:
          type: string
        recovery:
          type: string
      required:
        - error
  securitySchemes:
    BearerAuth:
      type: http
      scheme: bearer
      bearerFormat: API Key
      description: Send your API key in the Authorization header as Bearer API_KEY.

````